<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output method="html" encoding="windows-1252" indent="yes"/>

<xsl:template match="/">
  <html>
    <head>
        <link rel="stylesheet" type="text/css" href="../appl/api2/reference.css?"/>
        <title>Facilitor&#174; API reference</title>
    </head>
    <body>
        <h1>The Facilitor<sup>&#174;</sup> API reference</h1>

        <xsl:for-each select="/api/modules/*">
            <xsl:sort select="name" />
            <h2><xsl:value-of select="name"/></h2>

            <xsl:element name="ul">
                <xsl:for-each select="apis/*">
                <xsl:sort select="local-name()" />
                <xsl:element name="li">
                    &#xA0;<xsl:element name="a">
                        <xsl:attribute name="href">../api2/<xsl:value-of select="local-name()"/>.doc<xsl:if test="docparam!=''">?x=x<xsl:value-of select="docparam"/></xsl:if></xsl:attribute>
        				<xsl:value-of select="local-name()"/>
                    </xsl:element>
                    &#xA0;<span class='apidesc'><xsl:value-of select="label"/></span>
                </xsl:element>
            </xsl:for-each>
            </xsl:element>
        </xsl:for-each>

        <p>&#169; <a href="https://facilitor.nl">Aareon Nederland BV</a>, the Netherlands. Use of the Facilitor API is restricted by the Facilitor-API regulations.</p>
        <p>Technical support: +31 53 4800 710 or <a href="mailto:helpdesk@facilitor.nl">helpdesk@facilitor.nl</a></p>
    </body>
  </html>
</xsl:template>
</xsl:stylesheet>